## org.openorb.compiler.idl.reflect
Interface idlAttribute

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlAttribute

public interface idlAttribute
extends idlObject

This interface is implemented by the IDL object that represents an IDL attribute.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:20 $
Author:
  Jerome Daniel

Method Summary
`idlObject` `attributeType()` Return the attribute type
`boolean` `isReadOnly()` Return TRUE if this attribute is marked as 'readonly'

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Return TRUE if this attribute is marked as 'readonly'

### attributeType

    public idlObject attributeType()

  Return the attribute type